﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Program
    {
        static async Task Main(string[] args)
        {
            string id = "admin";
            string password = "admin";
            //            (string id, string password) = ("almadmin", "almadmin");
            string jiraServer = "jira.devops.mousoft.co.kr";

            Jira jira = new Jira();

            if (await jira.Login(jiraServer, id, password) == false)
            {
                Console.WriteLine("Auth failed: " + id);
                return;
            }
             

            string projectKey = "SAM";
            string Writeid = "admin";
            string assignee = Writeid;   //해당 ID에 대한 데이터 조회.

            SearchResult result = await jira.SearchIssue(projectKey, assignee);
            if (result.issues == null)
            {
                Console.WriteLine("None Result");
                return;
            }

            jira.CreateIssueTest(projectKey, assignee, password);

            foreach (var issue in result.issues)
            {
                Console.WriteLine(issue.key);
                await jira.GetIssue(issue.key);
            }

            //CreateIssuesByAssignee(id);
        }
    }
}